/*
Copyright 2025 The Kubeflow authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
// Code generated by client-gen. DO NOT EDIT.

package v1beta2

import (
	context "context"

	apiv1beta2 "github.com/kubeflow/spark-operator/v2/api/v1beta2"
	scheme "github.com/kubeflow/spark-operator/v2/pkg/client/clientset/versioned/scheme"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	gentype "k8s.io/client-go/gentype"
)

// ScheduledSparkApplicationsGetter has a method to return a ScheduledSparkApplicationInterface.
// A group's client should implement this interface.
type ScheduledSparkApplicationsGetter interface {
	ScheduledSparkApplications(namespace string) ScheduledSparkApplicationInterface
}

// ScheduledSparkApplicationInterface has methods to work with ScheduledSparkApplication resources.
type ScheduledSparkApplicationInterface interface {
	Create(ctx context.Context, scheduledSparkApplication *apiv1beta2.ScheduledSparkApplication, opts v1.CreateOptions) (*apiv1beta2.ScheduledSparkApplication, error)
	Update(ctx context.Context, scheduledSparkApplication *apiv1beta2.ScheduledSparkApplication, opts v1.UpdateOptions) (*apiv1beta2.ScheduledSparkApplication, error)
	// Add a +genclient:noStatus comment above the type to avoid generating UpdateStatus().
	UpdateStatus(ctx context.Context, scheduledSparkApplication *apiv1beta2.ScheduledSparkApplication, opts v1.UpdateOptions) (*apiv1beta2.ScheduledSparkApplication, error)
	Delete(ctx context.Context, name string, opts v1.DeleteOptions) error
	DeleteCollection(ctx context.Context, opts v1.DeleteOptions, listOpts v1.ListOptions) error
	Get(ctx context.Context, name string, opts v1.GetOptions) (*apiv1beta2.ScheduledSparkApplication, error)
	List(ctx context.Context, opts v1.ListOptions) (*apiv1beta2.ScheduledSparkApplicationList, error)
	Watch(ctx context.Context, opts v1.ListOptions) (watch.Interface, error)
	Patch(ctx context.Context, name string, pt types.PatchType, data []byte, opts v1.PatchOptions, subresources ...string) (result *apiv1beta2.ScheduledSparkApplication, err error)
	ScheduledSparkApplicationExpansion
}

// scheduledSparkApplications implements ScheduledSparkApplicationInterface
type scheduledSparkApplications struct {
	*gentype.ClientWithList[*apiv1beta2.ScheduledSparkApplication, *apiv1beta2.ScheduledSparkApplicationList]
}

// newScheduledSparkApplications returns a ScheduledSparkApplications
func newScheduledSparkApplications(c *SparkoperatorV1beta2Client, namespace string) *scheduledSparkApplications {
	return &scheduledSparkApplications{
		gentype.NewClientWithList[*apiv1beta2.ScheduledSparkApplication, *apiv1beta2.ScheduledSparkApplicationList](
			"scheduledsparkapplications",
			c.RESTClient(),
			scheme.ParameterCodec,
			namespace,
			func() *apiv1beta2.ScheduledSparkApplication { return &apiv1beta2.ScheduledSparkApplication{} },
			func() *apiv1beta2.ScheduledSparkApplicationList { return &apiv1beta2.ScheduledSparkApplicationList{} },
		),
	}
}
