/*
Copyright 2025 The Kubeflow authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
// Code generated by client-gen. DO NOT EDIT.

package v1beta2

import (
	context "context"

	apiv1beta2 "github.com/kubeflow/spark-operator/v2/api/v1beta2"
	scheme "github.com/kubeflow/spark-operator/v2/pkg/client/clientset/versioned/scheme"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	gentype "k8s.io/client-go/gentype"
)

// SparkApplicationsGetter has a method to return a SparkApplicationInterface.
// A group's client should implement this interface.
type SparkApplicationsGetter interface {
	SparkApplications(namespace string) SparkApplicationInterface
}

// SparkApplicationInterface has methods to work with SparkApplication resources.
type SparkApplicationInterface interface {
	Create(ctx context.Context, sparkApplication *apiv1beta2.SparkApplication, opts v1.CreateOptions) (*apiv1beta2.SparkApplication, error)
	Update(ctx context.Context, sparkApplication *apiv1beta2.SparkApplication, opts v1.UpdateOptions) (*apiv1beta2.SparkApplication, error)
	// Add a +genclient:noStatus comment above the type to avoid generating UpdateStatus().
	UpdateStatus(ctx context.Context, sparkApplication *apiv1beta2.SparkApplication, opts v1.UpdateOptions) (*apiv1beta2.SparkApplication, error)
	Delete(ctx context.Context, name string, opts v1.DeleteOptions) error
	DeleteCollection(ctx context.Context, opts v1.DeleteOptions, listOpts v1.ListOptions) error
	Get(ctx context.Context, name string, opts v1.GetOptions) (*apiv1beta2.SparkApplication, error)
	List(ctx context.Context, opts v1.ListOptions) (*apiv1beta2.SparkApplicationList, error)
	Watch(ctx context.Context, opts v1.ListOptions) (watch.Interface, error)
	Patch(ctx context.Context, name string, pt types.PatchType, data []byte, opts v1.PatchOptions, subresources ...string) (result *apiv1beta2.SparkApplication, err error)
	SparkApplicationExpansion
}

// sparkApplications implements SparkApplicationInterface
type sparkApplications struct {
	*gentype.ClientWithList[*apiv1beta2.SparkApplication, *apiv1beta2.SparkApplicationList]
}

// newSparkApplications returns a SparkApplications
func newSparkApplications(c *SparkoperatorV1beta2Client, namespace string) *sparkApplications {
	return &sparkApplications{
		gentype.NewClientWithList[*apiv1beta2.SparkApplication, *apiv1beta2.SparkApplicationList](
			"sparkapplications",
			c.RESTClient(),
			scheme.ParameterCodec,
			namespace,
			func() *apiv1beta2.SparkApplication { return &apiv1beta2.SparkApplication{} },
			func() *apiv1beta2.SparkApplicationList { return &apiv1beta2.SparkApplicationList{} },
		),
	}
}
