/*
Copyright 2025 The Kubeflow authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
// Code generated by lister-gen. DO NOT EDIT.

package v1beta2

import (
	apiv1beta2 "github.com/kubeflow/spark-operator/v2/api/v1beta2"
	labels "k8s.io/apimachinery/pkg/labels"
	listers "k8s.io/client-go/listers"
	cache "k8s.io/client-go/tools/cache"
)

// ScheduledSparkApplicationLister helps list ScheduledSparkApplications.
// All objects returned here must be treated as read-only.
type ScheduledSparkApplicationLister interface {
	// List lists all ScheduledSparkApplications in the indexer.
	// Objects returned here must be treated as read-only.
	List(selector labels.Selector) (ret []*apiv1beta2.ScheduledSparkApplication, err error)
	// ScheduledSparkApplications returns an object that can list and get ScheduledSparkApplications.
	ScheduledSparkApplications(namespace string) ScheduledSparkApplicationNamespaceLister
	ScheduledSparkApplicationListerExpansion
}

// scheduledSparkApplicationLister implements the ScheduledSparkApplicationLister interface.
type scheduledSparkApplicationLister struct {
	listers.ResourceIndexer[*apiv1beta2.ScheduledSparkApplication]
}

// NewScheduledSparkApplicationLister returns a new ScheduledSparkApplicationLister.
func NewScheduledSparkApplicationLister(indexer cache.Indexer) ScheduledSparkApplicationLister {
	return &scheduledSparkApplicationLister{listers.New[*apiv1beta2.ScheduledSparkApplication](indexer, apiv1beta2.Resource("scheduledsparkapplication"))}
}

// ScheduledSparkApplications returns an object that can list and get ScheduledSparkApplications.
func (s *scheduledSparkApplicationLister) ScheduledSparkApplications(namespace string) ScheduledSparkApplicationNamespaceLister {
	return scheduledSparkApplicationNamespaceLister{listers.NewNamespaced[*apiv1beta2.ScheduledSparkApplication](s.ResourceIndexer, namespace)}
}

// ScheduledSparkApplicationNamespaceLister helps list and get ScheduledSparkApplications.
// All objects returned here must be treated as read-only.
type ScheduledSparkApplicationNamespaceLister interface {
	// List lists all ScheduledSparkApplications in the indexer for a given namespace.
	// Objects returned here must be treated as read-only.
	List(selector labels.Selector) (ret []*apiv1beta2.ScheduledSparkApplication, err error)
	// Get retrieves the ScheduledSparkApplication from the indexer for a given namespace and name.
	// Objects returned here must be treated as read-only.
	Get(name string) (*apiv1beta2.ScheduledSparkApplication, error)
	ScheduledSparkApplicationNamespaceListerExpansion
}

// scheduledSparkApplicationNamespaceLister implements the ScheduledSparkApplicationNamespaceLister
// interface.
type scheduledSparkApplicationNamespaceLister struct {
	listers.ResourceIndexer[*apiv1beta2.ScheduledSparkApplication]
}
